This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1000160 - AMD UVD driver is unstable in kernel 3.10
AMD UVD driver is unstable in kernel 3.10
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 16:20 EDT by Václav Mocek
Modified: 2014-02-02 10:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-02 10:13:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Information extracted from systemd journal. (53.74 KB, text/plain)
2013-08-22 16:20 EDT, Václav Mocek
no flags Details
dmesg log (72.98 KB, text/plain)
2013-08-22 16:21 EDT, Václav Mocek
no flags Details
Xorg log (65.47 KB, text/x-log)
2013-08-22 16:22 EDT, Václav Mocek
no flags Details

  None (edit)
Description Václav Mocek 2013-08-22 16:20:43 EDT
Created attachment 789346 [details]
Information extracted from systemd journal.

Description of problem:
When a video player uses UVD in AMD APU to accelerate video decoding (a new feature in kernel 3.10), the GPU sooner or later stalls.   

Version-Release number of selected component (if applicable):

$ uname -a
Linux amulet 3.10.7-200.fc19.x86_64 #1 SMP Thu Aug 15 23:19:45 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

$rpm -qa | grep mesa
mesa-libgbm-9.2-0.14.20130723.fc19.x86_64
mesa-dri-drivers-9.2-0.14.20130723.fc19.x86_64
mesa-filesystem-9.2-0.14.20130723.fc19.x86_64
mesa-libxatracker-9.2-0.14.20130723.fc19.x86_64
mesa-libglapi-9.2-0.14.20130723.fc19.x86_64
mesa-libEGL-9.2-0.14.20130723.fc19.x86_64
mesa-libwayland-egl-9.2-0.14.20130723.fc19.x86_64
mesa-libGL-9.2-0.14.20130723.fc19.x86_64

How reproducible:
Always. Play a DivX MPEG-4 video using Totem and you have a higher change winning a lottery than watching a two hours film without reset.   

Actual results:
GPU stalls and the PC monitor indicates that there is no input.

Sometimes the system recovers (a successful GPU reset, very rare), sometimes it continues running without a video output, sometime it resets itself.

Confirmed on two PC with A6-5400K and A10-5800K.

Additional info:

A few hints from the systemd journal:

Aug 21 21:41:24 amulet kernel: radeon 0000:00:01.0: GPU fault detected: 146 0x02a67104
Aug 21 21:41:25 amulet kernel: radeon 0000:00:01.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x0000092A
Aug 21 21:41:25 amulet kernel: radeon 0000:00:01.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x06071004
...
Aug 21 21:41:35 amulet kernel: radeon 0000:00:01.0: GPU lockup CP stall for more than 10000msec
Aug 21 21:41:35 amulet kernel: radeon 0000:00:01.0: GPU lockup (waiting for 0x0000000000075e5d last fence id 0x0000000000075e
...
Aug 21 21:41:35 amulet kernel: AMD-Vi: Event logged [IO_PAGE_FAULT device=00:01.0 domain=0x0003 address=0x000000003017b340 fl
Aug 21 21:41:35 amulet kernel: AMD-Vi: Event logged [IO_PAGE_FAULT device=00:01.0 domain=0x0003 address=0x000000003017b340 fl
...
Aug 21 21:41:35 amulet kernel: radeon 0000:00:01.0: GPU softreset: 0x0000000D
...
Aug 22 20:16:46 amulet kernel: radeon 0000:00:01.0: GPU reset succeeded, trying to resume
Comment 1 Václav Mocek 2013-08-22 16:21:40 EDT
Created attachment 789347 [details]
dmesg log
Comment 2 Václav Mocek 2013-08-22 16:22:15 EDT
Created attachment 789348 [details]
Xorg log
Comment 3 Václav Mocek 2014-02-02 10:13:50 EST
I can confirm that problem was fixed in the newer version of xorg-x11-drv-ati (tested on APU Trinity/Richland) and I suggest to close this bug as fixed.

Note You need to log in before you can comment on or make changes to this bug.